Next: Get and compare software versions., Previous: Changing options, Up: Modify .gnupg home directories [Contents][Index]

#### 9.4.7 Listing global options

Sometimes it is useful for applications to look at the global options file `gpgconf.conf`. The colon separated listing format is record oriented and uses the first field to identify the record type:

`k`

  This describes a key record to start the definition of a new ruleset for a user/group. The format of a key record is:

  `k:user:group:`

  user

    This is the user field of the key. It is percent escaped. See the definition of the gpgconf.conf format for details.

  group

    This is the group field of the key. It is percent escaped.

`r`

  This describes a rule record. All rule records up to the next key record make up a rule set for that key. The format of a rule record is:

  `r:::component:option:flag:value:`

  component

    This is the component part of a rule. It is a plain string.

  option

    This is the option part of a rule. It is a plain string.

  flag

    This is the flags part of a rule. There may be only one flag per rule but by using the same component and option, several flags may be assigned to an option. It is a plain string.

  value

    This is the optional value for the option. It is a percent escaped string with a single quotation mark to indicate a string. The quotation mark is only required to distinguish between no value specified and an empty string.

Unknown record types should be ignored. Note that there is intentionally no feature to change the global option file through `gpgconf`.

Next: Get and compare software versions., Previous: Changing options, Up: Modify .gnupg home directories [Contents][Index]